> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/addowntrainingdata.md).

# Using Pre-existing Training Data

Supplementing Zingg With Existing Training Data

If you already have some training data that you want to start with, you can use that as well with Zingg. Add an attribute **trainingSamples** to the config and define the training pairs.

The training data supplied to Zingg should have a **z\_cluster** column that groups the records together. The **z\_cluster** uniquely identifies the group. We also need to add the **z\_isMatch** column which is **1** if the pairs *match* or **0** if they do *not* match. The **z\_isMatch** value has to be the same for all the records in the **z\_cluster** group. They either match with each other or they don't.

An example is provided in [GitHub training data](https://github.com/zinggAI/zingg/tree/release-enterprise-0.8/examples/febrl/training.csv).\
Here, the first column specifies the z\_cluster, the second column specifies the z\_isMatch value and the remaining columns are the ones which are used for training the model.

The above training data can be specified using [trainingSamples attribute in the configuration.](https://github.com/zinggAI/zingg/tree/release-enterprise-0.8/examples/febrl/configWithTrainingSamples.json)

In addition, labeled data of one model can also be exported and used as training data for another model. For details, check out [exporting labeled data](/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/exportlabeleddata.md).

**Note**: It is advisable to still run [findTrainingData](/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/findtrainingdata.md) and [label](/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/label.md) a few rounds to tune Zingg with the supplied training data as well as patterns it needs to learn independently.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/versions/enterprise-v0.8.0/stepbystep/createtrainingdata/addowntrainingdata.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
